Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           kdeutils
Version:        4.1.1
Release:        1
Summary:        K Desktop Environment - Utilities

Group:          Graphical Desktop/KDE4
License:        GPLv2
URL:            http://www.kde.org
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdeutils-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# FIXME/TODO: Tpctl is needed for klaptopdaemon
BuildRequires:  kde-filesystem >= 4
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
BuildRequires:  kdelibs-devel >= %{version}
BuildRequires:  kdepimlibs-devel >= %{version}
BuildRequires:  kdebase-workspace-devel >= %{version}
BuildRequires:  cmake
BuildRequires:  gmp-devel
BuildRequires:  qimageblitz-devel
BuildRequires:  python-devel
BuildRequires:  libXpm-devel 
BuildRequires:  libXtst-devel
BuildRequires:  openldap-devel
BuildRequires:  libzip-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libxkbfile-devel
BuildRequires:  libXv-devel
BuildRequires:  libXxf86misc-devel
BuildRequires:  libXScrnSaver-devel
BuildRequires:  libarchive-devel
Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils
Requires: 	kdelibs >= %{version}
Obsoletes: 	kdeutils4 < %{version}-%{release}
Provides:  	kdeutils4 = %{version}-%{release}


%description
Utilities for the K Desktop Environment.
Includes:
  * ark (tar/gzip archive manager);
  * kcalc (scientific calculator);
  * kcharselect (character selector);
  * kdepasswd (change password);
  * kdessh (ssh front end);
  * kdf (view disk usage);
  * kedit (simple text editor);
  * kfloppy (floppy formatting tool);
  * kgpg (gpg gui)
  * khexedit (hex editor);
  * kjots (note taker);
  * ktimer (task scheduler);
  * kwikdisk (removable media utility)

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_kde4_bindir}/*
%{_kde4_appsdir}/ark/
%{_kde4_appsdir}/kcalc/
%{_kde4_appsdir}/kcharselect/
%{_kde4_appsdir}/kconf_update/*
%{_kde4_appsdir}/kdf/
%{_kde4_appsdir}/kgpg/
#%{_kde4_appsdir}/khexedit/
#%{_kde4_appsdir}/kjots/
#%{_kde4_appsdir}/kregexpeditor/
%{_kde4_appsdir}/kwalletmanager/
#%{_kde4_appsdir}/oktetapart/
%{_kde4_appsdir}/superkaramba/
%{_kde4_appsdir}/sweeper/
%{_kde4_appsdir}/okteta/
%{_kde4_appsdir}/oktetapart/
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/applications/kde4/*
#%{_kde4_docdir}/HTML/en/KRegExpEditor/
%{_kde4_docdir}/HTML/en/ark/
%{_kde4_docdir}/HTML/en/kcalc/
%{_kde4_docdir}/HTML/en/kcharselect/
%{_kde4_docdir}/HTML/en/kdf/
%{_kde4_docdir}/HTML/en/kfloppy/
%{_kde4_docdir}/HTML/en/kgpg/
%{_kde4_docdir}/HTML/en/okteta
#%{_kde4_docdir}/HTML/en/khexedit/
#%{_kde4_docdir}/HTML/en/kjots/
%{_kde4_docdir}/HTML/en/ktimer/
%{_kde4_docdir}/HTML/en/kwallet/
%{_kde4_docdir}/HTML/en/superkaramba/
%{_kde4_iconsdir}/hicolor/*/apps/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_datadir}/dbus-1/interfaces/*
%{_kde4_datadir}/config.kcfg/*
%{_kde4_datadir}/autostart/*
%{_kde4_configdir}/*
%{_kde4_libdir}/libkdeinit4_kcalc.so
%{_kde4_libdir}/*.so.*
%{_kde4_libdir}/kde4/*
%{_kde4_libdir}/*.so


%changelog
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- renamed package
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Sat Jun 28 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 Beta 2 )
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update
* Tue Mar 04 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Wed Dec 12 2007 Christian Metzen <metzench@ccux-linux.de> 3.97.0-1
- Initial release
